using System;
using System.Collections.Generic;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using TopWinCMS.BLL;
using TopWinCMS.Model;
namespace TopWinCMS.WebUI.Shop
{
    public partial class Left : System.Web.UI.UserControl
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                Repeater1.DataSource = new TopWinCMS.BLL.Public_Class().OneClass(4);
                Repeater1.DataBind();

                Bind_Brand();
            }

        }

        protected IList<ClassInfo> Repeater2DataSource(object ClassID)
        {
            return new TopWinCMS.BLL.Public_Class().Show((int)ClassID);
        }

        private void Bind_Brand()
        {
            DL_Brand.DataSource = new BrandManage().Get18Brands();
            DL_Brand.DataBind();
        }
    }
}